#!/bin/bash

set -x
set -e

arm-none-eabi-gcc -mthumb -mcpu=cortex-m4 -nostdlib -Wl,--just-symbols=symbols.txt -Wl,-Ttext=0x08000000 -o applet.elf main.c test1.c
arm-none-eabi-gcc -fpie -mthumb -mcpu=cortex-m4 -nostdlib -Wl,--just-symbols=applet.elf -o pie.elf pie.c
arm-none-eabi-objdump -M force-thumb  -d pie.elf
